Package org.lwjgl.opengl

# Class NVConditionalRender

java.lang.Object
org.lwjgl.opengl.NVConditionalRender

public final class NVConditionalRender extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_QUERY_BY_REGION_NO_WAIT_NV`
Accepted by the <mode> parameter of BeginConditionalRenderNV:
`static final int`
`GL_QUERY_BY_REGION_WAIT_NV`
Accepted by the <mode> parameter of BeginConditionalRenderNV:
`static final int`
`GL_QUERY_NO_WAIT_NV`
Accepted by the <mode> parameter of BeginConditionalRenderNV:
`static final int`
`GL_QUERY_WAIT_NV`
Accepted by the <mode> parameter of BeginConditionalRenderNV:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBeginConditionalRenderNV(int id, int mode)`
`static void`
`glEndConditionalRenderNV()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_QUERY_WAIT_NV

public static final int GL_QUERY_WAIT_NV
Accepted by the <mode> parameter of BeginConditionalRenderNV:

See Also:
  - Constant Field Values

### GL_QUERY_NO_WAIT_NV

public static final int GL_QUERY_NO_WAIT_NV
Accepted by the <mode> parameter of BeginConditionalRenderNV:

See Also:
  - Constant Field Values

### GL_QUERY_BY_REGION_WAIT_NV

public static final int GL_QUERY_BY_REGION_WAIT_NV
Accepted by the <mode> parameter of BeginConditionalRenderNV:

See Also:
  - Constant Field Values

### GL_QUERY_BY_REGION_NO_WAIT_NV

public static final int GL_QUERY_BY_REGION_NO_WAIT_NV
Accepted by the <mode> parameter of BeginConditionalRenderNV:

See Also:
  - Constant Field Values

## Method Details

### glBeginConditionalRenderNV

public static void glBeginConditionalRenderNV(int id, int mode)

### glEndConditionalRenderNV

public static void glEndConditionalRenderNV()